Help Center

Follow

Android System Requirements

The latest version of the Zinio app is compatible with any device with Android 4.1 (Jelly Bean) and up.

For more details, please access the Google Play Store.

Have more questions? Submit a request
Powered by Zendesk